"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.ServiceOptionType = exports.ResolutionMethod = exports.PlacementType = exports.DayOfWeek = exports.onServiceOptionsAndVariantsUpdated = exports.onServiceOptionsAndVariantsDeleted = exports.onServiceOptionsAndVariantsCreated = exports.queryServiceOptionsAndVariants = exports.deleteServiceOptionsAndVariants = exports.updateServiceOptionsAndVariants = exports.getServiceOptionsAndVariantsByServiceId = exports.getServiceOptionsAndVariants = exports.cloneServiceOptionsAndVariants = exports.createServiceOptionsAndVariants = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_1 = require("./bookings-catalog-v1-service-options-and-variants-service-options-and-variants.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/bookings' };
function createServiceOptionsAndVariants(httpClient) {
    return (serviceOptionsAndVariants) => (0, bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_1.createServiceOptionsAndVariants)(serviceOptionsAndVariants, 
    // @ts-ignore
    { httpClient });
}
exports.createServiceOptionsAndVariants = createServiceOptionsAndVariants;
function cloneServiceOptionsAndVariants(httpClient) {
    return (cloneFromId, targetServiceId) => (0, bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_1.cloneServiceOptionsAndVariants)(cloneFromId, targetServiceId, 
    // @ts-ignore
    { httpClient });
}
exports.cloneServiceOptionsAndVariants = cloneServiceOptionsAndVariants;
function getServiceOptionsAndVariants(httpClient) {
    return (serviceOptionsAndVariantsId) => (0, bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_1.getServiceOptionsAndVariants)(serviceOptionsAndVariantsId, 
    // @ts-ignore
    { httpClient });
}
exports.getServiceOptionsAndVariants = getServiceOptionsAndVariants;
function getServiceOptionsAndVariantsByServiceId(httpClient) {
    return (serviceId) => (0, bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_1.getServiceOptionsAndVariantsByServiceId)(serviceId, 
    // @ts-ignore
    { httpClient });
}
exports.getServiceOptionsAndVariantsByServiceId = getServiceOptionsAndVariantsByServiceId;
function updateServiceOptionsAndVariants(httpClient) {
    return (_id, serviceOptionsAndVariants) => (0, bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_1.updateServiceOptionsAndVariants)(_id, serviceOptionsAndVariants, 
    // @ts-ignore
    { httpClient });
}
exports.updateServiceOptionsAndVariants = updateServiceOptionsAndVariants;
function deleteServiceOptionsAndVariants(httpClient) {
    return (serviceOptionsAndVariantsId, options) => (0, bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_1.deleteServiceOptionsAndVariants)(serviceOptionsAndVariantsId, options, 
    // @ts-ignore
    { httpClient });
}
exports.deleteServiceOptionsAndVariants = deleteServiceOptionsAndVariants;
function queryServiceOptionsAndVariants(httpClient) {
    return () => (0, bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_1.queryServiceOptionsAndVariants)(
    // @ts-ignore
    { httpClient });
}
exports.queryServiceOptionsAndVariants = queryServiceOptionsAndVariants;
exports.onServiceOptionsAndVariantsCreated = (0, sdk_types_1.EventDefinition)('wix.bookings.catalog.v1.service_options_and_variants_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onServiceOptionsAndVariantsDeleted = (0, sdk_types_1.EventDefinition)('wix.bookings.catalog.v1.service_options_and_variants_deleted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onServiceOptionsAndVariantsUpdated = (0, sdk_types_1.EventDefinition)('wix.bookings.catalog.v1.service_options_and_variants_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
var bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_2 = require("./bookings-catalog-v1-service-options-and-variants-service-options-and-variants.universal.js");
Object.defineProperty(exports, "DayOfWeek", { enumerable: true, get: function () { return bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_2.DayOfWeek; } });
Object.defineProperty(exports, "PlacementType", { enumerable: true, get: function () { return bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_2.PlacementType; } });
Object.defineProperty(exports, "ResolutionMethod", { enumerable: true, get: function () { return bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_2.ResolutionMethod; } });
Object.defineProperty(exports, "ServiceOptionType", { enumerable: true, get: function () { return bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_2.ServiceOptionType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return bookings_catalog_v1_service_options_and_variants_service_options_and_variants_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=bookings-catalog-v1-service-options-and-variants-service-options-and-variants.public.js.map